summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..6c7a5f7
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+PROJECT=astroconda/pipeline
+PIPELINE="${1}"
+if [[ -z ${PIPELINE} ]]; then
+ echo "No pipeline specified. [e.g. hst-TREE, jwst-TREE, ...]"
+ exit 1
+fi
+
+docker build -t ${PROJECT}:${PIPELINE} --build-arg PIPELINE=${PIPELINE} .